\begin{code}
module Statistics where

fi :: (Integral a, Num b) => a -> b
fi = fromInteger . toInteger

average :: [Double] -> Double
average l = sum l / fi (length l)

-- Assumes that the average value of its input is 0
stddev :: [Double] -> Double
stddev l = sqrt (sum (map (\x->x*x) l)/fi (length l))
\end{code}

Copyright 2002, 2004 Dylan Thurston.

This file is part of the genus2fiber program for computing what
percentage of tunnel-number one 3-manifolds fiber.  It can be
redistributed and/or modified under the terms of the GNU General
Public License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.
